package com.ozs.plan.doman.vo.responseVo;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import com.ozs.system.domain.SysFileInfo;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author buzhanyi
 */
@Data
public class PlanYearsResponseVo implements Serializable {

    /**
     * 主键编号
     */
    private Long planYearId;
    /**
     * 采购单位（登录账号的单位）
     */
    private String purchaseDeptId;
    /**
     * 采购单位名称
     */
    @Excel(name = "采购单位")
    private String purchaseDeptName;
    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    private String projectName;
    /**
     * 项目名称
     */
    private String projectType;
    @Excel(name = "项目类型")
    private String projectTypeStr;
    /**
     * 需求概况
     */
    @Excel(name = "需求概况")
    private String demandOverview;
    /**
     * 概算金额(万元（保留小数点后两位）
     */
    @Excel(name = "概算金额（万元）")
    private BigDecimal evaluation;
    /**
     * 是否为超限额计划(0:未超额，1:超额)
     */
    private String isExcess;
    /**
     * 采购服务站
     */
    private String purchaseServices;
    @Excel(name = "采购服务站")
    private String purchaseServicesStr;
    /**
     * 采购方式 (0:公开招标, 1:单一来源,2:邀请招标,3:竞争式谈判,4:询价)
     */
    private String purchaseMode;
    @Excel(name = "采购方式")
    private String purchaseModeStr;
    /**
     * 计划提报需求时间--->需求单位成功提报采购需求的日期（具体到月）
     */
    @Excel(name = "提报需求时间", dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date planDemandSubTime;
    /**
     * 计划完成采购时间--->公示中标结果的日期，即填制中标信息的日期（具体到月）
     */
    @Excel(name = "完成采购时间", dateFormat = "yyyy-MM-dd")
    private Date planPurchaseFinishTime;
    /**
     * 计划交付时间--->供应商完成并交付后，使用单位收到标的日期，即填制建设文档的日期
     */
    @Excel(name = "交付（实施）时间", dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date planDeliverTime;
    /**
     * 项目属性--->应急应战项目、重大规划任务项目、规划任务项目或一般项目
     */
    private String projectAttr;
    @Excel(name = "项目属性")
    private String projectAttrStr;
    /**
     * 退回原因--->审核不通过就是退回
     */
    private String refuseReason;
    /**
     * 滞后原因
     */
    private String delayReason;
    /**
     * 计划调整情况及理由--->如计划需要变更，在填写申请修改时需填写调整情况及理由，审核单位审核通过后显示
     */
    private String adjustReason;
    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarks;
    /**
     * 项目状态--->包括计划待提交、计划待审核、计划已退回、计划已审核
     * (0:计划待提交，1:计划待审核，2:计划已退回，3:计划已审核)
     */
    private String projectStatus;

    /**
     * 发函状态（0：未发函或已处理，1：确认发函）
     */
    private String sendLetter;
    /**
     * 发函内容
     */
    private String letterStr;
    /**
     * 已上传的关联附件信息
     */
    List<SysFileInfo> fileInfos;
    /**
     * 逻辑删除字段--->（0：正常，1：已删除）
     */
    private Integer delFlay;

}
